#!/usr/bin/env bash

# Ce fichier permet de tuer rapidement le projet sur les ordinateurs de l'HEPIA
salle_404=$(seq -f "129.194.187.%g" 51 64)
salle_406=$(seq -f "129.194.184.%g" 101 249)
salle_432=$(seq -f "129.194.187.%g" 141 158; seq -f "129.194.187.%g" 127 130)
salle_433=$(seq -f "129.194.187.%g" 161 187)

if [ $# -eq 0 ]; then
    echo "Usage : ./kill.sh {salles: 404|406|432|433}"
else
	for i in "$@"
	do
		echo "Arrêt sur les ordinateurs de la $i..."
		if [ $i -eq 404 ]; then
			current=$salle_404
		elif [ $i -eq 406 ]; then
			current=$salle_406
		elif [ $i -eq 432 ]; then
			current=$salle_432
		elif [ $i -eq 433 ]; then
			current=$salle_433
		else
			echo "Il faut mettre une salle qui existe. Sinon ca marche pas bien."
			exit
		fi
		# Itération sur la salle courante...
		for host in $current
		do
			ssh -o ConnectTimeout=1 -o "UserKnownHostsFile=/dev/null" -o "StrictHostKeyChecking=no" $(whoami)@$host 'bash -s' < stop.sh
		done
	done
fi