from selenium.webdriver.support.select import Select

from common.tasks.Runnable import Runnable


class FillComboBox(Runnable):
	def run(self, parameters: dict) -> dict:
		instance = parameters['selenium_instance']
		element = Select(parameters['element'])
		data = str(parameters['value'])

		element.select_by_visible_text(data)

		return {'instance': instance}
