from common.tasks.Runnable import Runnable


class GoToURLWithBrowser(Runnable):
	def run(self, parameters: dict) -> dict:
		browser = parameters["selenium_instance"]
		browser.implicitly_wait(10)

		browser.get(parameters["url"])

		return {"instance": browser, "current_url": browser.current_url}
