# Gets the number of files in the file folder
import os
from os import getenv as env


def getFilesInFileFolder():
	try:
		fileLocker = env("FILE_LOCKER")
		files = [name for name in os.listdir(fileLocker) if os.path.isfile(os.path.join(fileLocker, name))]
		return list(filter(lambda name: not name.startswith(".") and ".png" not in name, files))
	except FileNotFoundError:
		return []

