<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Requests\PingRequest;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class PingController extends Controller {
    public function ping($client){
        try {
            Http::timeout(5)->get($client.":".env("INARI_CLIENT_HTTP_PORT"))->status();
        } catch (\Exception $e){
            return "KO";
        }
        return "OK";
    }
}
