<?php

namespace App\Http\Controllers;


use App\Models\Workflow;

class WorkflowController extends Controller {
    function __construct(){
        $this->middleware('auth');
    }

    /**
     * Shows all workflows
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    function index(){
        return view('pages.workflow.workflow');
    }

    /**
     * Shows a single workflow
     * @param Workflow $workflow
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    function show(Workflow $workflow){
        return view('pages.workflow.show', ['workflow' => $workflow]);
    }
}
