<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Client extends Model {
    protected $fillable = ['ip'];

    /**
     * Returns the jobs associated with this particular client
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function jobs(){
        return $this->hasMany(Job::class);
    }
}
