<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Job extends Model {
    protected $casts = ["data" => "object"];
    protected $fillable = ['workflow_id', 'client_id', 'data'];

    public function user(){
        return $this->belongsTo(User::class);
    }

    public function workflow(){
        return $this->belongsTo(Workflow::class);
    }

    public function client(){
        return $this->belongsTo(Client::class);
    }
}
