from loguru import logger
import numpy as np

from common.tasks.Runnable import Runnable


class ReplaceDataFrameValues(Runnable):
	def run(self, parameters: dict) -> dict:
		fromValue = parameters['from']
		toValue = parameters['to']
		logger.info("Replacing from '{}' to '{}'...".format(fromValue, toValue))
		data = parameters['data']
		data = np.where(data == fromValue, toValue, data)
		return {'values': data}
