import falcon

from loguru import logger
from os import getenv as env
from common.networking.intercom import Intercom


class ThrottleAPI(object):
	def on_get(self, req: falcon.Request, resp: falcon.Response):
		if "client" in req.params:
			clientIntercom = Intercom(req.params['client'], int(env("CLIENT_PORT")), True)
			clientIntercom.talk({"type": "throttle"})
			clientIntercom.listen()
			logger.info("Sent throttle to client because of many errors.")
