<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Requests\FileRequest;
use App\Models\Client;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class FileController extends Controller {
    public function __construct() {
        $this->middleware('auth:api');
    }

    public function showFiles(Client $client){
        return Http::get("http://127.0.0.1:8080/file?ip=".$client->ip)->json();
    }
}
