<?php

namespace App\Http\Controllers;

use App\Models\Build;
use Illuminate\Http\Request;

class BuildController extends \App\Http\Controllers\API\BuildController {
    public function __construct(){
        $this->middleware('auth');
    }

    /**
     * Shows the build
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index(){
        return view('pages.build.build');
    }

    public function show(Build $build){
        return parent::show($build);
    }
}
