<?php

namespace App\Http\Middleware;

use App\Models\Module;
use Closure;

class CheckForNeedOfSetup
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next){
        if (Module::count() < 3){
            if ($request->user() && $request->route()->uri != "setup"){
                return redirect(route('setup.show'));
            }
        }
        return $next($request);
    }
}
