<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Workflow extends Model {
    protected $fillable = ['name', 'user_id'];

    public function user(){
        return $this->belongsTo(User::class);
    }

    public function modules(){
        return $this->belongsToMany(Module::class, 'workflow_modules')
            ->withPivot('uuid');
    }
}
