@extends('layouts.app')

@section('content')
    <div class="py-4">
        <h3>
            Client {{ $client->ip }}
            <a class="btn btn-primary float-right" href="{{ route('job.cleanAll', $client) }}">
                <i class="fa fa-trash"></i>
            </a>
            <a class="btn btn-primary float-right mr-1 ml-1" href="{{ route('job.cleanSucceeded', $client) }}">
                <i class="fa fa-trash"></i>&nbsp;Terminés
            </a>
            <a class="btn btn-primary float-right ml-1" href="{{ route('job.cleanFailed', $client) }}">
                <i class="fa fa-trash"></i>&nbsp;Échoués
            </a>
            <a class="btn btn-primary float-right ml-2" href="{{ route('job.resume', $client) }}">
                <i class="fa fa-recycle"></i>
            </a>
            <a class="btn btn-primary float-right ml-2"
               href="http://{{ $client->ip.":".env('INARI_CLIENT_HTTP_PORT')."/files/all" }}">
                <i class="fa fa-download"></i> Tout
            </a>
        </h3>
        <hr>

        <statrep :cid="{{ $client->id }}" :cipa="'{{ $client->ip }}'"
                 :cipo="{{ env('INARI_CLIENT_HTTP_PORT') }}"></statrep>
        <br>
        <jobs :cid="{{ $client->id }}"></jobs>
    </div>
@endsection
