@extends('errors.illustrated-layout')

@section('code', 'Progrès actuel')

@section('image')
    <div style="background-image: url({{ asset('/img/wait.jpeg') }});" class="absolute pin bg-cover bg-no-repeat md:bg-left lg:bg-center">
    </div>
@endsection

@section('message')
    @if($data)
        Actuellement, le système traite les documents de cette façon :
        <ul>
            <li>{{ number_format($data[0]->cnt, 0, ',', ' ') }} documents {{ strtolower($data[0]->status)  }}</li>
            <li>{{ number_format($data[1]->cnt, 0, ',', ' ') }} documents {{ strtolower($data[1]->status) }}</li>
            <li>{{ number_format($data[2]->cnt, 0, ',', ' ') }} documents {{ strtolower($data[2]->status) }}</li>
        </ul>
        Soit {{ $count }} documents traités sans erreur par minute.
    @else
        Aucun document en traitement.
    @endif
    <div class="w-16 h-1 bg-indigo-light my-3 md:my-6"></div>
@endsection
